Debian Bug report logs - #545842
reinstalling live-initramfs regenerates initramfs twice

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: "Michal Suchanek <hramrach@centrum.cz>" <michal.suchanek@ruk.cuni.cz>

Date: Wed, 9 Sep 2009 15:42:01 UTC

Severity: normal

Found in version live-initramfs/1.156.1+1.157.2-1

Fixed in version live-initramfs/1.173.5-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hramrach@centrum.cz, Debian Live <debian-live@lists.debian.org>:
Bug#545842; Package live-initramfs. (Wed, 09 Sep 2009 15:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michal Suchanek <hramrach@centrum.cz>" <michal.suchanek@ruk.cuni.cz>:
New Bug report received and forwarded. Copy sent to hramrach@centrum.cz, Debian Live <debian-live@lists.debian.org>. (Wed, 09 Sep 2009 15:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Michal Suchanek <hramrach@centrum.cz>" <michal.suchanek@ruk.cuni.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: reinstalling live-initramfs regenerates initramfs twice
Date: Wed, 09 Sep 2009 17:32:29 +0200
Package: live-initramfs
Version: 1.156.1+1.157.2-1
Severity: normal


Generating initramfs takes quite a bit of time and it is pointless to
generate it twice during upgradei/reinstall.


-- System Information:
Debian Release: 5.0.2
  APT prefers stable
  APT policy: (900, 'stable'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#545842; Package live-initramfs. (Sun, 14 Mar 2010 16:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sun, 14 Mar 2010 16:54:07 GMT) Full text and rfc822 format available.


Message #10 received at 545842@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
Cc: 521129@bugs.debian.org, 545842@bugs.debian.org, 516355@bugs.debian.org
Date: Sun, 14 Mar 2010 17:50:39 +0100
tag 521129 pending
tag 545842 pending
tag 516355 pending
thanks

fixed in git.
-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 14 Mar 2010 16:54:11 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 14 Mar 2010 22:51:09 GMT) Full text and rfc822 format available.

Notification sent to "Michal Suchanek <hramrach@centrum.cz>" <michal.suchanek@ruk.cuni.cz>:
Bug acknowledged by developer. (Sun, 14 Mar 2010 22:51:09 GMT) Full text and rfc822 format available.

Message #17 received at 545842-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 545842-close@bugs.debian.org
Subject: Bug#545842: fixed in live-initramfs 1.173.5-1
Date: Sun, 14 Mar 2010 22:47:40 +0000
Source: live-initramfs
Source-Version: 1.173.5-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.173.5-1.diff.gz
  to main/l/live-initramfs/live-initramfs_1.173.5-1.diff.gz
live-initramfs_1.173.5-1.dsc
  to main/l/live-initramfs/live-initramfs_1.173.5-1.dsc
live-initramfs_1.173.5-1_all.deb
  to main/l/live-initramfs/live-initramfs_1.173.5-1_all.deb
live-initramfs_1.173.5.orig.tar.gz
  to main/l/live-initramfs/live-initramfs_1.173.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 545842@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 14 Mar 2010 23:27:57 +0100
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.173.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 521129 545842 570100 570162
Changes: 
 live-initramfs (1.173.5-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Updating contact information in copyright file.
   * Simplyfing initramfs triggers (Closes: #521129, #545842).
   * Wrapping fields in control file.
   * Using minimized rules file.
   * Simplifying wording in bug-presubj file.
 .
   [ Andreas Teuchert ]
   * Calling udevadm settle in scripts/init-premount/select_eth_device
     (Closes: #570100).
 .
   [ Tanguy Ortolo ]
   * Also respecting persistent-path parameter for snapshots (Closes:
     #570162).
Checksums-Sha1: 
 d488d4d00413166b680ea868b4dcc2ec7d68f8bf 1300 live-initramfs_1.173.5-1.dsc
 24f0c0060a1c6dc89fde44121e2b355d9d1b27d6 87863 live-initramfs_1.173.5.orig.tar.gz
 7f1c9e57a2e293b5c4e7ea323ded084182517f46 32548 live-initramfs_1.173.5-1.diff.gz
 cd57bfb9b31af90e506d9ca1441a80611cdfd2f5 100002 live-initramfs_1.173.5-1_all.deb
Checksums-Sha256: 
 de91bb85373dcd6cec559dfe1cbba6ae152e6cf1c930c2db49abf112d4427e84 1300 live-initramfs_1.173.5-1.dsc
 3ddd19d843f4990e64becd0208e8285fb5fd89baba1a5bf79ec8f0342ef6844a 87863 live-initramfs_1.173.5.orig.tar.gz
 03f27c8caec0dbf54d2ace623823a1412f84170f0b28ce99abf5423f618380b2 32548 live-initramfs_1.173.5-1.diff.gz
 0a97deb015484049854414700cfa7e773be97f34f14ec32e740927901724fd0e 100002 live-initramfs_1.173.5-1_all.deb
Files: 
 58f39935471678ee1db0d30d453c98c0 1300 misc optional live-initramfs_1.173.5-1.dsc
 1972b815457e9e81790092ac30313bb9 87863 misc optional live-initramfs_1.173.5.orig.tar.gz
 8009dca5f1125e72465f91857f86bd40 32548 misc optional live-initramfs_1.173.5-1.diff.gz
 cb7f4263ceed2fef359b12baca9ada12 100002 misc optional live-initramfs_1.173.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkudY3EACgkQ+C5cwEsrK56MxgCdGGGF8hlGmgLVtx9SGIdTLQL4
UXAAoJ0QV4uL3/P2tGtXcJGfwK7VMZxa
=LWFl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Apr 2010 07:34:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:11:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.